## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-types-docutils
Version:        0.21.0.20241128
Release:        %{autorelease}
Summary:        Typing stubs for docutils


License:        Apache-2.0
URL:            https://pypi.org/pypi/types-docutils
Source:         %{pypi_source types_docutils}

BuildArch:      noarch

%global _description %{expand:
This is a PEP 561 type stub package for the docutils package. It can be
used by type-checking tools like mypy, PyCharm, pytype etc. to check
code that uses docutils.}

%description %_description

%package -n python3-types-docutils
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-types-docutils %_description

%prep
%autosetup -n types_docutils-%{version}

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# see pyproject-rpm-macros documentation for more forms
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l docutils-stubs

%check
%pyproject_check_import docutils-stubs

%files -n python3-types-docutils -f %{pyproject_files}
%doc CHANGELOG.md

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0.20241128-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 31 2024 Sandro <devel@penguinpee.nl> - 0.21.0.20241128-1
- Update to 0.21.0.20241128 (RHBZ#2295727)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0.20240423-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 29 2024 Sandro <devel@penguinpee.nl> - 0.21.0.20240423-1
- Update to 0.21.0.20240423 (RHBZ#2232313)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.20.0.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 14 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0.2-1
- feat: update to 0.20.0.2 (fixes rhbz#2231750)

* Mon Aug 14 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0.1-3
- chore: add koji build to packit conf

* Sat Jul 22 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0.1-2
- chore(packit): add packit configuration

* Sat Jul 22 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0.1-1
- feat: update to 0.20.1 (fixes rhbz#2192890)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.19.1.8-2
- Rebuilt for Python 3.12

* Wed May 03 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.8-1
- feat: update to 0.19.1.8 (fixes rhbz#2192103)

* Tue Mar 28 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.7-1
- feat: update to 0.19.1.7 (fixes rhbz#2182166)

* Mon Feb 27 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.6-1
- feat: update to 0.19.1.6 (2171955)

* Fri Feb 17 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.4-1
- feat: update to 0.19.1.4 (fixes rhbz#2167526)

* Tue Jan 31 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.2-2
- feat: upload sources (fixes rhbz#2160539)

* Tue Jan 31 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.2-1
- chore: update to 0.19.1.2

* Tue Jan 31 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.1-2
- feat: ready for review

* Tue Jan 31 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.19.1.1-1
- init
## END: Generated by rpmautospec
